Skip to content

Bulk Enrich

Enrich up to 500 profiles in a single API call.

POST /api/v1/people/bulk-enrich

Hydrate up to 500 Kooperativa profile IDs in a single POST. The most efficient way to enrich search results.

Body parameters

Parameter Type Required Description
profiles array Yes Array of objects, each with one of: id, username, or linkedin_url

Pricing

Code examples

cURLbash
curl -X POST "https://kooperativa.io/api/v1/people/bulk-enrich" \
  -H "Authorization: Bearer ik_live_..." \
  -H "Content-Type: application/json" \
  -d '{"profiles": [{"username": "satyanadella"}, {"username": "kirktanner"}]}'
JavaScriptjs
const res = await fetch("https://kooperativa.io/api/v1/people/bulk-enrich", {
  method: "POST",
  headers: {
    Authorization: `Bearer ${process.env.KOOPERATIVA_API_KEY}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    profiles: [
      { username: "satyanadella" },
      { username: "kirktanner" },
    ],
  }),
});
const { profiles } = await res.json();

Response

{
  "profiles": [
    {
      "id": "f9413465-...",
      "full_name": "Satya Nadella",
      "current_title": "Chairman and CEO",
      "current_company": "Microsoft",
      "fetched_at": "2026-06-21T17:44:00Z"
    }
  ],
  "count": 2
}
Navigation

Type to search…

↑↓ navigate↵ selectEsc close